antiprism-0.23
Up Next

# lat_grid - lattices and grids with integer coordinates

Usage | Examples | Notes

## Usage

    Usage: lat_grid [options] [lat_type [outer_width [inner_width]]]

    Make a lattice or grid with integer coordinates. Lattice types (default: sc)
    are followed by name and then and valid strut arguments (squares of length,
    first is square of the radius of balls packed at the vertex positions)
      sc                 - Simple Cubic                         (1, 2, 3)
      fcc                - Face Centred Cubic                   (2, 4, 6, 12)
      bcc                - Body Centred Cubic                   (3, 4, 8)
      hcp                - Hexagonal Close Packing              (18)
      rh_dodec           - Rhombic Dodecahedra                  (3, 8)
      cubo_oct           - Cuboctahedron / Octahedron           (2)
      tr_oct             - Truncated Octahedron                 (2)
      tr_tet_tet         - Truncated Tetrahedron / Tetrahedron  (2)
      tr_tet_tr_oct_cubo - Truncated Tetrahedron /
                           Truncated Octahedron / Cuboctahedron (4)
      diamond            - Diamond                              (3)
      hcp_diamond        - HCP Diamond                          (27)
      k_4                - K_4 Crystal                          (2)
    Inner and outer widths are the sizes of the inner and outer containers.
    For cubes, these are the length of a side, for spheres these are the
    squares of the radii.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -C <cent> centre of lattice, in form "x_val,y_val,z_val"
      -c <type> container, c - cube (default), s - sphere
      -s <len2> create struts, the value is the square of the strut length
      -o <file> write output to file (default: write to standard output)

## Examples

View a cubic section of Close Cubic Packing

    lat_grid fcc 6 | antiview -v b

Make a spherical section of a diamond grid

    lat_grid -c s -s 3 diamond 16 > diam.off

## Notes

Spherical container suggested by Steve Waterman, who has made a collection of hulls of spherically contained lattices.

The grids of shortest strut length represent the edges of a packing of polyhedra, with the exception of diamond, HCP diamond and K_4.

Up: Programs and Documentation
Next: bravais - Bravais lattices